> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the existing user setting for the given user.



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /model-monitor/v2/api/setting/user
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/setting/user:
    get:
      tags:
        - Model Monitoring settings
      summary: Get the existing user setting for the given user.
      operationId: getUserSetting
      responses:
        '200':
          description: User Settings fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_userSettingResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_userSettingResponse:
      title: User Setting Response.
      description: User related config used to configure DMM.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_userSetting'
        - type: object
          required:
            - id
            - createdAt
            - updatedAt
            - userId
          properties:
            id:
              description: User Setting Identifier.
              type: string
            createdAt:
              description: Creation timestamp of the User Setting.
              type: integer
            updatedAt:
              description: Last update timestamp for the User Setting.
              type: integer
            userId:
              description: User Identifier.
              type: string
    dmm-plier_userSetting:
      title: User Setting.
      description: User related config used to configure DMM.
      type: object
      properties:
        numOfLastChecks:
          description: Number of last checks to fetch for a model while listing models.
          type: integer
        numOfPredictionTrafficDays:
          description: >-
            Number of days worth prediction traffic to fetch while listing
            models.
          type: integer
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Update the existing user setting for the user.](/6.3/api-reference/model-monitoring-settings/update-the-existing-user-setting-for-the-user.md)
- [Get current user](/6.3/api-reference/model-monitoring-authentication/get-model-monitorv2apiauthusercurrent.md)
- [Python Wrapper for Domino API](/6.3/reference/python-sdk/python-wrapper-for-domino-api.md)
- [Create and manage Datasets](/6.3/platform-capabilities/core-concepts/data/datasets/create-and-manage-datasets.md)
